hledger-lib-0.26: Core data types, parsers and utilities for the hledger accounting tool.

Safe Haskell | None
Language | Haskell2010

Hledger.Read.CsvReader

Contents

- Reader
- Misc.
- Tests

Description

A reader for CSV data, using an extra rules file to help interpret the data.

Synopsis

- reader :: Reader
- type CsvRecord = [String]
- rulesFileFor :: FilePath -> FilePath
- parseRulesFile :: FilePath -> ExceptT String IO CsvRules
- transactionFromCsvRecord :: SourcePos -> CsvRules -> CsvRecord -> Transaction
- tests_Hledger_Read_CsvReader :: Test

# Reader

reader :: Reader Source

# Misc.

type CsvRecord = [String] Source

rulesFileFor :: FilePath -> FilePath Source

parseRulesFile :: FilePath -> ExceptT String IO CsvRules Source

transactionFromCsvRecord :: SourcePos -> CsvRules -> CsvRecord -> Transaction Source

# Tests

tests_Hledger_Read_CsvReader :: Test Source